Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.persister.entity
[Java] Class GroovyAwareJoinedSubclassEntityPersister

    java.lang.Object
      org.hibernate.persister.entity.JoinedSubclassEntityPersister
          org.codehaus.groovy.grails.orm.hibernate.persister.entity.GroovyAwareJoinedSubclassEntityPersister

    public class GroovyAwareJoinedSubclassEntityPersister
    extends JoinedSubclassEntityPersister

A customized EntityPersisteer that creates proxies valid for use with Groovy.

Authors:
  Graeme Rocher

Since:
  1.1.1

Constructor Summary
`GroovyAwareJoinedSubclassEntityPersister(PersistentClass persistentClass, EntityRegionAccessStrategy cacheAccessStrategy, SessionFactoryImplementor factory, Mapping mapping)`

Method Summary
`java.lang.Object` | `createProxy(java.io.Serializable id, SessionImplementor session)`

Constructor Detail

### GroovyAwareJoinedSubclassEntityPersister

    public GroovyAwareJoinedSubclassEntityPersister(PersistentClass persistentClass, EntityRegionAccessStrategy cacheAccessStrategy, SessionFactoryImplementor factory, Mapping mapping)

Method Detail

### createProxy

    @Override
    public java.lang.Object createProxy(java.io.Serializable id, SessionImplementor session)

Groovy Documentation